/preview/advertisers/{advertiser-id}/ads
curl --request POST \
--url https://api.criteo.com/preview/advertisers/{advertiser-id}/ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"id": "<string>",
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/advertisers/{advertiser-id}/ads"
payload = { "data": {
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {id: '<string>', type: '<string>'}})
};
fetch('https://api.criteo.com/preview/advertisers/{advertiser-id}/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"adClickTracking": [
{
"bindingId": "<string>",
"clickZone": "Unknown",
"disableForCoupons": true,
"disableLandingUrlEncode": true,
"disableMacroUrlEncode": true,
"displayHeight": 123,
"displayWidth": 123,
"id": "<string>",
"urlPrefix": "<string>",
"urlSuffix": "<string>"
}
],
"adDeliveryStatus": "Live",
"adImpressionTracking": [
{
"bindingId": "<string>",
"displayHeight": 123,
"displayWidth": 123,
"id": "<string>",
"url": "<string>",
"vendorId": "<string>"
}
],
"adSetId": "<string>",
"creativeId": "<string>",
"description": "<string>",
"endDate": "<string>",
"id": "<string>",
"inventoryType": "Native",
"name": "<string>",
"startDate": "<string>"
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/preview/advertisers/{advertiser-id}/ads
Creates an ad by binding an existing creative to an existing ad set of the advertiser, delivering from the start date given. The creative and the ad set must both belong to that advertiser. Returns the new ad and its id.
POST
/
preview
/
advertisers
/
{advertiser-id}
/
ads
/preview/advertisers/{advertiser-id}/ads
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
Body
application/json
The ad information.
A top-level object that encapsulates a Criteo API request for a single entity.
A class that represents a domain entity exposed by an API.
Show child attributes
Show child attributes
Response
201 - application/json
The created Ad is returned.
Was this page helpful?